package com.malk.ruisi.controller;

import com.alibaba.fastjson.JSONObject;
import com.malk.ruisi.service.RsQysService;
import com.malk.server.common.McR;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Slf4j
@RequestMapping("/qys")
public class RsQysController {
    @Autowired
    private RsQysService rsQysService;
    /* 契约锁回调密钥 */

    /***
     * 第一步
     * 根据文件类型创建合同文档
     * @param
     * @return
     */

    @PostMapping("/createbyfile")
    public McR createByFile(@RequestBody JSONObject param) throws Exception {
        return rsQysService.createByFile(param);
    }

    /***
     * 预签署  可重复获取
     * @param
     * @return
     */
    @PostMapping("/appointurl")
    public McR appointurl(String contractId) throws Exception {
        log.info("进入 预签署 接口,参数：{}",contractId);
//            String contractId=String.valueOf(param.getString("contractId"));
//            return McR.success(contractId);
        return rsQysService.appointurl(contractId);
    }
//    /***
//     * 第二步
//     * 发起合同、完成发起方签署
//     * @param
//     * @return
//     */
//    @PostMapping("/send")
//    public McR sendContract(String contractId) throws Exception {
//        log.info("进入 step two 接口,参数：{}",contractId);
//        return rsQysService.sendContract(contractId);
//    }
    /***
     * 授权物理印章码
     * @param
     * @return
     */
    @PostMapping("/apply")
    public McR apply(@RequestBody JSONObject param) throws Exception {
        log.info("进入 apply 接口,参数：{}",param);
        return rsQysService.apply(param);
    }

    /***
     * 合同签署页面
     * @param
     * @return
     */
    @PostMapping("/signurl")
    public McR signurl(@RequestBody JSONObject param) throws Exception {
        log.info("进入 apply 接口,参数：{}",param);
        return rsQysService.signurl(param);
    }
}
